#### D.7.1.25 power_products

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  power_products(dv,d);
  dv: an <intvec> giving the degrees of homogeneous polynomials, d: the degree of the desired power products

Return:
  a size(dv)*m <intmat> where each column ought to be interpreted as containing the exponents of the corresponding polynomials. The product of the powers is then homogeneous of degree d.

Example:

    LIB "finvar.lib";
    intvec dv=5,5,5,10,10;
    print(power_products(dv,10));
    ==>      2     1     1     0     0     0     0     0
    ==>      0     1     0     2     1     0     0     0
    ==>      0     0     1     0     1     2     0     0
    ==>      0     0     0     0     0     0     1     0
    ==>      0     0     0     0     0     0     0     1
    print(power_products(dv,7));
    ==>      0
    ==>      0
    ==>      0
    ==>      0
    ==>      0

User manual for Singular version 4.4.1, 2025, generated by texi2html.